package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 提款申请记录
 * 表名 : t_draw_apply
 * </pre>
 * @author: Mybatis Generator
 */
public class DrawApply {
    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_draw_apply.credit_code
     * </pre>
     */
    private String creditCode;

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_draw_apply.credit_apply_code
     * </pre>
     */
    private String creditApplyCode;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_draw_apply.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_draw_apply.enuu
     * </pre>
     */
    private Integer enuu;

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_draw_apply.start_date
     * </pre>
     */
    private String startDate;

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_draw_apply.submit_date
     * </pre>
     */
    private String submitDate;

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_draw_apply.audit_date
     * </pre>
     */
    private String auditDate;

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_draw_apply.end_date
     * </pre>
     */
    private String endDate;

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_draw_apply.draw_amount
     * </pre>
     */
    private Integer drawAmount;

    /**
     * <pre>
     * 转让金额
     * 表字段 : t_draw_apply.transfer_amount
     * </pre>
     */
    private BigDecimal transferAmount;

    /**
     * <pre>
     * 月利率
     * 表字段 : t_draw_apply.month_rate
     * </pre>
     */
    private BigDecimal monthRate;

    /**
     * <pre>
     * 融资期限（天）
     * 表字段 : t_draw_apply.maturity
     * </pre>
     */
    private Short maturity;

    /**
     * <pre>
     * 受理阶段(201.受理中 202.未通过 200.已通过)
     * 表字段 : t_draw_apply.audit_status
     * </pre>
     */
    private Short auditStatus;

    /**
     * <pre>
     * 打款状态(211.未打款 210.已打款)
     * 表字段 : t_draw_apply.draw_status
     * </pre>
     */
    private Short drawStatus;

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_draw_apply.credit_code
     * </pre>
     */
    public String getCreditCode() {
        return creditCode;
    }

    /**
     * <pre>
     * 额度编号
     * 表字段 : t_draw_apply.credit_code
     * </pre>
     */
    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode == null ? null : creditCode.trim();
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_draw_apply.credit_apply_code
     * </pre>
     */
    public String getCreditApplyCode() {
        return creditApplyCode;
    }

    /**
     * <pre>
     * 额度申请记录编号
     * 表字段 : t_draw_apply.credit_apply_code
     * </pre>
     */
    public void setCreditApplyCode(String creditApplyCode) {
        this.creditApplyCode = creditApplyCode == null ? null : creditApplyCode.trim();
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_draw_apply.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_draw_apply.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_draw_apply.enuu
     * </pre>
     */
    public Integer getEnuu() {
        return enuu;
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_draw_apply.enuu
     * </pre>
     */
    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_draw_apply.start_date
     * </pre>
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_draw_apply.start_date
     * </pre>
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_draw_apply.submit_date
     * </pre>
     */
    public String getSubmitDate() {
        return submitDate;
    }

    /**
     * <pre>
     * 申请日期
     * 表字段 : t_draw_apply.submit_date
     * </pre>
     */
    public void setSubmitDate(String submitDate) {
        this.submitDate = submitDate == null ? null : submitDate.trim();
    }

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_draw_apply.audit_date
     * </pre>
     */
    public String getAuditDate() {
        return auditDate;
    }

    /**
     * <pre>
     * 审核日期
     * 表字段 : t_draw_apply.audit_date
     * </pre>
     */
    public void setAuditDate(String auditDate) {
        this.auditDate = auditDate == null ? null : auditDate.trim();
    }

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_draw_apply.end_date
     * </pre>
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_draw_apply.end_date
     * </pre>
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_draw_apply.draw_amount
     * </pre>
     */
    public Integer getDrawAmount() {
        return drawAmount;
    }

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_draw_apply.draw_amount
     * </pre>
     */
    public void setDrawAmount(Integer drawAmount) {
        this.drawAmount = drawAmount;
    }

    /**
     * <pre>
     * 转让金额
     * 表字段 : t_draw_apply.transfer_amount
     * </pre>
     */
    public BigDecimal getTransferAmount() {
        return transferAmount;
    }

    /**
     * <pre>
     * 转让金额
     * 表字段 : t_draw_apply.transfer_amount
     * </pre>
     */
    public void setTransferAmount(BigDecimal transferAmount) {
        this.transferAmount = transferAmount;
    }

    /**
     * <pre>
     * 月利率
     * 表字段 : t_draw_apply.month_rate
     * </pre>
     */
    public BigDecimal getMonthRate() {
        return monthRate;
    }

    /**
     * <pre>
     * 月利率
     * 表字段 : t_draw_apply.month_rate
     * </pre>
     */
    public void setMonthRate(BigDecimal monthRate) {
        this.monthRate = monthRate;
    }

    /**
     * <pre>
     * 融资期限（天）
     * 表字段 : t_draw_apply.maturity
     * </pre>
     */
    public Short getMaturity() {
        return maturity;
    }

    /**
     * <pre>
     * 融资期限（天）
     * 表字段 : t_draw_apply.maturity
     * </pre>
     */
    public void setMaturity(Short maturity) {
        this.maturity = maturity;
    }

    /**
     * <pre>
     * 受理阶段(201.受理中 202.未通过 200.已通过)
     * 表字段 : t_draw_apply.audit_status
     * </pre>
     */
    public Short getAuditStatus() {
        return auditStatus;
    }

    /**
     * <pre>
     * 受理阶段(201.受理中 202.未通过 200.已通过)
     * 表字段 : t_draw_apply.audit_status
     * </pre>
     */
    public void setAuditStatus(Short auditStatus) {
        this.auditStatus = auditStatus;
    }

    /**
     * <pre>
     * 打款状态(211.未打款 210.已打款)
     * 表字段 : t_draw_apply.draw_status
     * </pre>
     */
    public Short getDrawStatus() {
        return drawStatus;
    }

    /**
     * <pre>
     * 打款状态(211.未打款 210.已打款)
     * 表字段 : t_draw_apply.draw_status
     * </pre>
     */
    public void setDrawStatus(Short drawStatus) {
        this.drawStatus = drawStatus;
    }
}